#include <Arduino.h>
#include "./relay.h"

namespace homekit::relay {
	
void init() {
    pinMode(CONFIG_RELAY_GPIO, OUTPUT);
}

bool state() {
    return digitalRead(CONFIG_RELAY_GPIO) == HIGH;
}

void on() {
    digitalWrite(CONFIG_RELAY_GPIO, HIGH);
}

void off() {
    digitalWrite(CONFIG_RELAY_GPIO, LOW);
}

}
